unit SampleFilter;

interface

	uses
		Header;

	procedure Main (FilterPtr: T_FilterPtr);

implementation

	type
		T_ByteArr = packed array[0..10000] of Byte;
		T_BytePtr = ^T_ByteArr;

	procedure Main (FilterPtr: T_FilterPtr);

		var
			bytePtr: T_BytePtr;
			i: Longint;

	begin

{ The Data in FilterPtr^.dataHdl is locked !!! }
	bytePtr := T_BytePtr(FilterPtr^.srcDataHdl^);

	for i := 0 to FilterPtr^.srcDataSize - 1 do
		bytePtr^[i] := BXOR(bytePtr^[i], $FF); { Invert-Sample }

	FilterPtr^.success := 1;
	end;

end.